Package org.eclipse.rdf4j.queryrender.builder

## Class GroupBuilder<T extends ParsedQuery,​E extends SupportsGroups>

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.builder.GroupBuilder<T,​E>

-     @Deprecated
      public class GroupBuilder<T extends ParsedQuery,​E extends SupportsGroups>
      extends Object

  Deprecated.
  use `SparqlBuilder` instead.

  Builder for creating a grouped set of query atoms and filters in a query.

  Author:
    Michael Grove

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupBuilder​(E theBuilder)` | Deprecated.
    `GroupBuilder​(E theBuilder, boolean theOptional)` | Deprecated.
    `GroupBuilder​(E theBuilder, boolean theOptional, BasicGroup theParent)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GroupBuilder<T,​E>` | `atom​(String theSubjVar, String thePredVar, String theObjVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(String theSubjVar, String thePredVar, Value theObj)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(String theSubjVar, Value thePredVar, String theObj)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(String theSubjVar, Value thePred, Value theObj)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(Value theSubjVar, String thePredVar, String theObj)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(Value theSubjVar, Value thePredVar, String theObj)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(Value theSubjVar, Value thePredVar, Value theObj)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(StatementPattern thePattern)` | Deprecated.
    `GroupBuilder<T,​E>` | `atom​(StatementPattern... thePatterns)` | Deprecated.
    `GroupBuilder<T,​E>` | `atoms​(Set<StatementPattern> thePatterns)` | Deprecated.
    `E` | `closeGroup()` | Deprecated.
    `FilterBuilder<T,​E>` | `filter()` | Deprecated.
    `GroupBuilder<T,​E>` | `filter​(String theVar, Compare.CompareOp theOp, Value theValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `filter​(ValueExpr theExpr)` | Deprecated.
    `Group` | `getGroup()` | Deprecated.
    `GroupBuilder<T,​E>` | `group()` | Deprecated.
    `GroupBuilder<T,​E>` | `optional()` | Deprecated.
    `GroupBuilder<T,​E>` | `setContext​(String theContextVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `setContext​(Value theContextValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `setScope​(StatementPattern.Scope theScope)` | Deprecated.
    `int` | `size()` | Deprecated.
    `UnionBuilder<T,​E>` | `union()` | Deprecated.
    `static Var` | `valueToVar​(Value theValue)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupBuilder

          public GroupBuilder​(E theBuilder)

      Deprecated.

    - #### GroupBuilder

          public GroupBuilder​(E theBuilder,
                              boolean theOptional)

      Deprecated.

    - #### GroupBuilder

          public GroupBuilder​(E theBuilder,
                              boolean theOptional,
                              BasicGroup theParent)

      Deprecated.

  - ### Method Detail

    - #### size

          public int size()

      Deprecated.

    - #### getGroup

          public Group getGroup()

      Deprecated.

    - #### group

          public GroupBuilder<T,​E> group()

      Deprecated.

    - #### optional

          public GroupBuilder<T,​E> optional()

      Deprecated.

    - #### closeGroup

          public E closeGroup()

      Deprecated.

    - #### union

          public UnionBuilder<T,​E> union()

      Deprecated.

    - #### setScope

          public GroupBuilder<T,​E> setScope​(StatementPattern.Scope theScope)

      Deprecated.

    - #### setContext

          public GroupBuilder<T,​E> setContext​(String theContextVar)

      Deprecated.

    - #### setContext

          public GroupBuilder<T,​E> setContext​(Value theContextValue)

      Deprecated.

    - #### filter

          public FilterBuilder<T,​E> filter()

      Deprecated.

    - #### filter

          public GroupBuilder<T,​E> filter​(ValueExpr theExpr)

      Deprecated.

    - #### filter

          public GroupBuilder<T,​E> filter​(String theVar,
                                                Compare.CompareOp theOp,
                                                Value theValue)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(StatementPattern thePattern)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(StatementPattern... thePatterns)

      Deprecated.

    - #### atoms

          public GroupBuilder<T,​E> atoms​(Set<StatementPattern> thePatterns)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(String theSubjVar,
                                              String thePredVar,
                                              String theObjVar)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(String theSubjVar,
                                              String thePredVar,
                                              Value theObj)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(String theSubjVar,
                                              Value thePredVar,
                                              String theObj)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(String theSubjVar,
                                              Value thePred,
                                              Value theObj)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(Value theSubjVar,
                                              Value thePredVar,
                                              Value theObj)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(Value theSubjVar,
                                              Value thePredVar,
                                              String theObj)

      Deprecated.

    - #### atom

          public GroupBuilder<T,​E> atom​(Value theSubjVar,
                                              String thePredVar,
                                              String theObj)

      Deprecated.

    - #### valueToVar

          public static Var valueToVar​(Value theValue)

      Deprecated.